Adobe AIR for Mac 3.x <= 3.2.0.2070 多個弱點 (APSB12-14)

high Nessus Plugin ID 59427

Synopsis

遠端 Mac OS X 主機包含一個受到多個安全性弱點影響的 Adobe AIR 版本。

描述

根據其版本,遠端 Mac OS X 主機上的 Adobe AIR 執行個體為 3.2.0.2070 版或更舊版本,此據報受到多個弱點影響:

- 存在可導致程式碼執行的多個記憶體損毀弱點。(CVE-2012-2034、CVE-2012-2037)

- 存在一個可導致程式碼執行的堆疊溢位弱點。(CVE-2012-2035)

- 存在一個可導致程式碼執行的整數溢位弱點。(CVE-2012-2036)

- 存在一個可導致資訊洩漏的安全性繞過弱點。(CVE-2012-2038)

- 存在一個可導致程式碼執行的 NULL 解除參照弱點。(CVE-2012-2039)

解決方案

升級至 Adobe AIR 3.3 (3.3.0.3610) 或更新版本。

另請參閱

http://www.adobe.com/support/security/bulletins/apsb12-14.html

Plugin 詳細資訊

嚴重性: High

ID: 59427

檔案名稱: macosx_adobe_air_3_3_0_3610.nasl

版本: 1.13

類型: local

代理程式: macosx

已發布: 2012/6/9

已更新: 2022/3/29

支持的傳感器: Nessus Agent

風險資訊

VPR

風險因素: High

分數: 8.9

CVSS v2

風險因素: High

基本分數: 9.3

時間分數: 8.1

媒介: AV:N/AC:M/Au:N/C:C/I:C/A:C

時間媒介: E:H/RL:OF/RC:C

CVSS 評分資料來源: CVE-2012-2039

弱點資訊

CPE: cpe:/a:adobe:air

必要的 KB 項目: MacOSX/Adobe_AIR/Version

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2012/6/8

弱點發布日期: 2012/6/8

CISA 已知利用日期: 2022/4/18

參考資訊

CVE: CVE-2012-2034, CVE-2012-2035, CVE-2012-2036, CVE-2012-2037, CVE-2012-2038, CVE-2012-2039

BID: 53887